Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.util
Class MethodLookupUtils

    java.lang.Object
      org.apache.commons.jxpath.util.MethodLookupUtils

    public class MethodLookupUtils

extends Object

Method lookup utilities, which find static and non-static methods as well as constructors based on a name and list of parameters.

Version:
  $Revision: 670727 $ $Date: 2008-06-23 15:10:38 -0500 (Mon, 23 Jun 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`MethodLookupUtils()`

Method Summary
`static Constructor` | `lookupConstructor(Class targetClass, Object[] parameters)` Look up a constructor.
`static Method` | `lookupMethod(Class targetClass, String name, Object[] parameters)` Look up a method.
`static Method` | `lookupStaticMethod(Class targetClass, String name, Object[] parameters)` Look up a static method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodLookupUtils

    public MethodLookupUtils()

Method Detail

### lookupConstructor

    public static Constructor lookupConstructor(Class targetClass,
                                                Object[] parameters)

  Look up a constructor.

  Parameters:
    `targetClass` - the class constructed
    `parameters` - arguments
  Returns:
    Constructor found if any.

### lookupStaticMethod

    public static Method lookupStaticMethod(Class targetClass,
                                            String name,
                                            Object[] parameters)

  Look up a static method.

  Parameters:
    `targetClass` - the owning class
    `name` - method name
    `parameters` - method parameters
  Returns:
    Method found if any

### lookupMethod

    public static Method lookupMethod(Class targetClass,
                                      String name,
                                      Object[] parameters)

  Look up a method.

  Parameters:
    `targetClass` - owning class
    `name` - method name
    `parameters` - method parameters
  Returns:
    Method found if any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.